QueryRequest

  • data_vars
    Type: array string[] 1…enum
    required

    Measurement variables to include in the response. Available variables:

    • ztd - Zenith Total Delay (mm)
    • ztd_sigma - Zenith Total Delay uncertainty, as the standard deviation of the estimate (mm)
    • pwv - Precipitable Water Vapour (mm)
    • snr - Carrier-to-noise density ratio (C/N0) in dB-Hz, per signal band (comma-delimited string in NetCDF)
    • el - Satellite elevation (degrees) (comma-delimited string in NetCDF)
    • az - Satellite azimuth (degrees) (comma-delimited string in NetCDF)
    • prn - Satellite pseudo-random noise (PRN) identifiers (comma-delimited string in NetCDF, automatically included when el, az, or snr is requested)
    values
    • ztd
    • ztd_sigma
    • snr
    • el
    • az
    • prn
    • pwv
  • end_time
    Type: string Format: date-time
    required

    End of the query time range (exclusive), in ISO 8601 format.

  • start_time
    Type: string Format: date-time
    required

    Start of the query time range (inclusive), in ISO 8601 format.

  • station_ids
    Type: array string[] 1…Format: uuid
    required

    Station ids (UUIDs) to query, from GET /stations. At least one station id is required.

  • raw
    Type: boolean

    When omitted or false, the response excludes observations that do not pass the default quality filter. Set to true to return unfiltered observations for diagnostics.